Bug 205733 - IDE locks up after using CutToLineBeginOrEndAction
IDE locks up after using CutToLineBeginOrEndAction
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Editor
7.1
PC Linux
: P1 (vote)
: 7.1
Assigned To: Jan Lahoda
issues@java
: 71_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-30 17:48 UTC by limo42
Modified: 2011-12-02 16:43 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
var/log/uigestures (221.69 KB, application/octet-stream)
2011-11-30 17:48 UTC, limo42
Details
JVM thread dump (22.16 KB, text/plain)
2011-11-30 17:49 UTC, limo42
Details

Note You need to log in before you can comment on or make changes to this bug.
Description limo42 2011-11-30 17:48:50 UTC
Created attachment 113670 [details]
var/log/uigestures

Editing Java files, using the emacs keymap, if  Ctrl-K and Ctrl-L
are accidentally being pressed simultaneously, then in most cases the IDE locks
up (AWT event queue blocks): no more repaints, edited files are lost.

The uigestures file records two actions, org.netbeans.editor.ActionFactory$CutToLineBeginOrEndAction and 
org.netbeans.modules.java.editor.imports.ClipboardHandler$JavaCutAction
being invoked at (nearly) the same time.
Comment 1 limo42 2011-11-30 17:49:53 UTC
Created attachment 113671 [details]
JVM thread dump
Comment 2 Marian Mirilovic 2011-12-01 08:04:12 UTC
org.netbeans.modules.java.editor.imports.ClipboardHandler
Comment 3 Jan Lahoda 2011-12-01 09:21:56 UTC
http://hg.netbeans.org/jet-main/rev/abb5e6c4aae2
Comment 4 Jiri Prox 2011-12-01 11:17:03 UTC
verified in trunk
Comment 5 Jiri Prox 2011-12-01 11:46:28 UTC
marking as Fixed again, I've reopened it by accident
sorry
Comment 6 Dusan Balek 2011-12-01 11:55:26 UTC
The attached patch seems to be OK.
Comment 7 Jan Lahoda 2011-12-01 15:23:29 UTC
release71:
http://hg.netbeans.org/releases/rev/212a8932d741
Comment 8 limo42 2011-12-01 17:21:30 UTC
Great that this one has been fixed so quickly!
Many thanks to all involved.
Comment 9 Quality Engineering 2011-12-02 07:56:09 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/212a8932d741
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #205733: Preventing deadlock when using the CutToLineBeginOrEndAction.
Comment 10 Jiri Prox 2011-12-02 14:53:09 UTC
verified
Comment 11 Quality Engineering 2011-12-02 16:43:40 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/abb5e6c4aae2
User: Jan Lahoda <jlahoda@netbeans.org>
Log: #205733: Preventing deadlock when using the CutToLineBeginOrEndAction.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo